patroni (4.1.5-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 12 Aug 2026 23:15:35 +0200

patroni (4.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Wed, 12 Aug 2026 23:15:35 +0200

patroni (4.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.
  * debian/patches/fix_failing_test.patch: Removed, included upstream.
  * debian/tests/control: Add procps to acceptance tests dependencies (Closes:
    #1136549).

 -- Michael Banck <mbanck@debian.org>  Tue, 07 Jul 2026 23:02:01 +0200

patroni (4.1.3-2) unstable; urgency=medium

  * debian/patches/revert_failing_test.patch: Removed, and replaced with ...
  * debian/patches/fix_failing_test.patch: ... this, taken from upstream commit
    95e0af5c.

 -- Michael Banck <mbanck@debian.org>  Thu, 07 May 2026 16:11:50 +0200

patroni (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.
  * debian/patches/revert_failing_test.patch: New patch, reverts a failing
    (under autopkgtest) test.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 May 2026 20:10:58 +0200

patroni (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/startup_scripts.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Wed, 22 Apr 2026 17:33:43 +0200

patroni (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/startup_scripts.patch: Refreshed.
  * debian/control, debian/copyright, debian/watch: Update Github organisation
    to patroni.
  * debian/control (Depends): Drop versioned dependency on etcd.
  * debian/control (Depends): Added python3-systemd. 

 -- Michael Banck <mbanck@debian.org>  Wed, 22 Apr 2026 13:30:30 +0200

patroni (4.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control (Build-Depends): Removed python3-tz (Closes: #1121861).
  * debian/tests/control: Remove python3-mock from autopkgtest dependencies
    (Closes: #1118481).

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Dec 2025 17:12:55 +0100

patroni (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/startup_scripts.patch: Refreshed.
  * debian/patches/acceptance_tests_system_patroni.patch: Likewise.
  * debian/patches/replslot-cluster-type-attribute.patch: Removed, included
    upstream.
  * debian/config.yml.in: Remove workaround with empty superuser password, no
    longer needed (and harmful if using the internal default bootstrapping
    method).

 -- Michael Banck <mbanck@debian.org>  Mon, 20 Oct 2025 15:23:59 +0200

patroni (4.0.7-3) unstable; urgency=medium

  * debian/tests/acceptance: Really make the changes from the last revision
    this time.

 -- Michael Banck <mbanck@debian.org>  Thu, 25 Sep 2025 15:01:53 +0200

patroni (4.0.7-2) unstable; urgency=medium

  * debian/tests/acceptance: Further changes to stopping etcd. If the init
    script exists, use it. Otherwise, if systemd is available, use that. If
    neither are available, do not try to stop etcd.

 -- Michael Banck <mbanck@debian.org>  Thu, 25 Sep 2025 14:20:40 +0200

patroni (4.0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/startup_scripts.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/replslot-cluster-type-attribute.patch: Likewise.
  * debian/tests/acceptance: Only stop etcd if init script exists.

 -- Michael Banck <mbanck@debian.org>  Wed, 24 Sep 2025 16:58:33 +0200

patroni (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix_conffile_perms.patch: Removed, included upstream.

 -- Michael Banck <mbanck@debian.org>  Sun, 08 Jun 2025 08:52:19 +0200

patroni (4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.
  * debian/patches/fix_conffile_perms.patch: Likewise.
  * debian/patches/python3.13_support.patch: Removed, included upstream.
  * debian/patches/fix_bug_slot_former_leader_not_retained_on_failover.patch:
    Likewise.
  * debian/patches/cleanup_after_unittests.patch: Likewise.
  * debian/tests/control: Readd needs-root to etcd/ectd3 acceptance tests.
  * debian/tests/control: Run only basic_replication acceptance tests for all
    DCS types except etcd3. 

 -- Michael Banck <mbanck@debian.org>  Tue, 18 Mar 2025 11:01:27 +0100

patroni (4.0.4-8) unstable; urgency=medium

  * debian/tests/acceptance: Make sure subsequent runs of the acceptance tests
    do not fail due to left-over directories or files with different owners.
  * debian/tests/control: Remove needs-root from etcd acceptance tests.
  * debian/tests/control: Switch basic_replication acceptance test from etcd to
    etcd3.
  * debian/tests/control: Remove flaky from all acceptance tests except
    zookeeper.
  * debian/control (Build-Depends): Added python3-setuptools (Closes:
    #1095776).
  * debian/patches/fix_conffile_perms.patch: New patch, fixes the
    postgresql.conf permissions, taken from upstream commit a3c772d (Closes:
    #1062204).
  * debian/patches/cleanup_after_unittests.patch: New patch, cleans up leftover
    data directories after running the unit tests, taken from upstream commit
    626e81d.

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Mar 2025 14:47:32 +0100

patroni (4.0.4-7) unstable; urgency=medium

  * debian/tests/test: Remove data directory after test run.

 -- Michael Banck <mbanck@debian.org>  Wed, 12 Feb 2025 18:39:35 +0100

patroni (4.0.4-6) unstable; urgency=medium

  * debian/tests/test: Run "python3 -m pytest tests" instead of "python3
    setup.py test".
  * debian/rules (override_dh_auto_test): Run pytests at build time as well.
  * debian/control (Build-Depends): Replaced python3-cdiff with python3-ydiff.
  * debian/control (Build-Depends): Removed python3-setuptools.
  * debian/patches/requirements_cdiff.patch: Removed, no longer needed.
  * debian/patches/requirements_setuptools.patch: Likewise.
  * debian/patches/python3.6-testsuite-fix.patch: Likewise.
  * debian/patches/sphinx_autodoc_fix.patch: Likewise.
  * debian/patches/python3.13_support.patch: Refreshed.
  * debian/patches/reproducible_docs.patch: Likewise.
  * debian/patches/fix_bug_slot_former_leader_not_retained_on_failover.patch:
    New patch, fixes a bug where replication slots for a former leader are not
    retained on failover, taken from upstream commit 0bb12473.
  * debian/pg_clonecluster_patroni: Fix deletion of existing instance, thanks
    to Ben Harris (Closes: #1094487).

 -- Michael Banck <mbanck@debian.org>  Tue, 11 Feb 2025 12:20:05 +0100

patroni (4.0.4-5) unstable; urgency=medium

  * Upload to unstable (Closes: #1093605).

 -- Michael Banck <mbanck@debian.org>  Wed, 22 Jan 2025 21:36:33 +0100

patroni (4.0.4-4) experimental; urgency=medium

  * debian/tests/control: Run regression tests first.
  * debian/patches/python3.13_support.patch: New patch, fixes the regression
    test suite for python3.13, taken from parts of upstream pull request #3246.

 -- Michael Banck <mbanck@debian.org>  Tue, 14 Jan 2025 21:25:31 +0100

patroni (4.0.4-3) experimental; urgency=medium

  * debian/patches/reproducible_docs.patch: New patch, adds the
    autodoc_preserve_defaults sphinx autodoc configuration parameter in order
    to make the documentation build (more) reproducible, thanks to James
    Addison (Closes: #1066015).

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2025 15:58:00 +0100

patroni (3.3.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/requirements_setuptools.patch: Refreshed.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/py-consul.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Mon, 13 Jan 2025 15:36:24 +0100

patroni (4.0.4-2) experimental; urgency=medium

  * debian/patches/replslot-cluster-type-attribute.patch: New patch, adds
    "cluster-type" as (optional) attribute for permanent replication slots,
    taken from upstream commit 578dc39.

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Dec 2024 14:07:14 +0100

patroni (4.0.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/requirements_cdiff.patch: Refreshed.
  * debian/patches/requirements_setuptools.patch: Likewise.
  * debian/patches/py-consul.patch: Removed, no longer needed.
  * fix-python-consul2-compatibility.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Fri, 22 Nov 2024 20:20:40 +0100

patroni (4.0.3-2) experimental; urgency=medium

  * debian/patches/fix-python-consul2-compatibility.patch: New patch, fixes
    compatibility with python-consul2, taken from upstream pull-request #3215.

 -- Michael Banck <mbanck@debian.org>  Mon, 18 Nov 2024 10:29:34 +0100

patroni (3.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/offline_intersphinx.patch: Likewise.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/patches/python3.6-testsuite-fix.patch: Likewise.
  * debian/patches/py-consul.patch: New patch, adds compatibility with
    py-consul. (Closes: #1083027)

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Nov 2024 17:28:40 +0100

patroni (4.0.3-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.

 -- Michael Banck <mbanck@debian.org>  Wed, 30 Oct 2024 09:30:50 +0100

patroni (4.0.2-2) experimental; urgency=medium

  * debian/patches/py-consul.patch: New patch, adds compatibility with
    py-consul. (Closes: #1083027)

 -- Michael Banck <mbanck@debian.org>  Mon, 28 Oct 2024 09:53:57 +0100

patroni (4.0.2-1) experimental; urgency=medium

  * New upstream version 4.0.2.
  * autopkgtest_pycache.patch, sphinx_fix_build.patch: Applied upstream.
  * B-D on python3-pysyncobj.
  * Remove docs/modules/ on clean.

 -- Christoph Berg <myon@debian.org>  Tue, 08 Oct 2024 16:23:53 +0200

patroni (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * autopkgtest_pycache.patch: New patch, avoids autopkgtest failures when run
    as root, taken from upstream commit 8e1f7848.
  * debian/patches/sphinx_fix_build.patch: New patch, fixes the sphinx
    documentation build on older releases.

 -- Michael Banck <mbanck@debian.org>  Thu, 12 Sep 2024 15:20:44 +0200

patroni (4.0.0-1) experimental; urgency=medium

  * New upstream major release. New features include:
   + Removal of the term 'master' in favour of 'primary' or 'leader'
   + Quorum-based failover
   + Configurable retention of members' replication slots
   + Compatibility with PostgreSQL 17
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/python3.6-testsuite-fix.patch: Likewise
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Mon, 02 Sep 2024 14:39:22 +0200

patroni (3.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Fri, 30 Aug 2024 17:06:23 +0200

patroni (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/patches/disable_sphinx_github_style.patch: Likewise.
  * debian/patches/sphinx_autodoc_fix.patch: Likewise.
  * debian/control (Build-Depends): Removed python3-mock. (Closes: #1073846)
  * debian/tests/control: Removed consul acceptance test.

 -- Michael Banck <mbanck@debian.org>  Tue, 02 Jul 2024 14:54:31 +0200

patroni (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/requirements_setuptools.patch: Refreshed.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch: Likewise.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/tests/acceptance: Disable acceptance tests on PostgreSQL 10 and 11
    as they are currently failing, see upstream issue #3052.

 -- Michael Banck <mbanck@debian.org>  Thu, 18 Apr 2024 22:14:40 +0200

patroni (3.2.2-2) unstable; urgency=medium

  * debian/tests/acceptance: Set ETCD_UNSUPPORTED_ARCH on s390x.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Feb 2024 11:37:46 +0100

patroni (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch: Refreshed.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 20 Jan 2024 13:39:47 +0100

patroni (3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Fri, 01 Dec 2023 11:16:15 +0100

patroni (3.2.0-2) unstable; urgency=medium

  * debian/patches/sphinx_autodoc_fix.patch: New patch, fixes a build failure
    on older Ubuntu releases. Patch from Alexander Kukushkin in upstream issue
    #2934.

 -- Michael Banck <mbanck@debian.org>  Wed, 01 Nov 2023 17:53:59 +0100

patroni (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/control (Uploaders): Removed Adrian Vondendriesch.

 -- Michael Banck <mbanck@debian.org>  Wed, 25 Oct 2023 21:39:03 +0200

patroni (3.1.2-2) unstable; urgency=medium

  * Install systemd units using dh_installsystemd only. Thanks to Helmut
    Grohne for the patch! (Closes: #1054184)
  * Drop ancient X-Python3-Version field.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Oct 2023 14:26:10 +0200

patroni (3.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.

 -- Michael Banck <mbanck@debian.org>  Tue, 26 Sep 2023 21:22:41 +0200

patroni (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/control (Build-Depends): Added python3-sphinxcontrib.apidoc.
  * debian/patches/disable_sphinx_github_style.patch: New patch, disables the
    unpackaged "View on Github" sphinx extension.

 -- Michael Banck <mbanck@debian.org>  Fri, 22 Sep 2023 13:44:08 +0200

patroni (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Refreshed.

 -- Michael Banck <mbanck@debian.org>  Tue, 22 Aug 2023 10:51:49 +0200

patroni (3.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/pg_createconfig_patroni: Remove check that DCS_ENDPOINT must be ip
    addresses if passed via --endpoint option.

 -- Michael Banck <mbanck@debian.org>  Sat, 15 Jul 2023 10:45:52 +0200

patroni (3.0.3-2) unstable; urgency=medium

  * debian/patches/python3.6-testsuite-fix.patch: New patch, fixes the
    testsuite for python3.6.

 -- Michael Banck <mbanck@debian.org>  Fri, 23 Jun 2023 17:22:06 +0200

patroni (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/offline_intersphinx.patch: Likewise.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/patches/regression_tests_skip_citus_test.patch: Likewise.
  * debian/patches/python3.6-compat.patch: Removed, no longer needed.
  * debian/patches/python3.11-compat.patch: Likewise.
  * debian/pg_createconfig_patroni: Fix syntax error.

 -- Michael Banck <mbanck@debian.org>  Thu, 22 Jun 2023 21:03:15 +0200

patroni (3.0.2-3) unstable; urgency=medium

  * debian/patches/python3.11-compat.patch: New patches, fixes testsuite
    failures with python3.11, adapted from upstream commit 9b01041.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 Jun 2023 22:58:29 +0200

patroni (3.0.2-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Make setting of DCS_TYPE variable less
    error-prone.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 Jun 2023 15:22:45 +0200

patroni (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/requirements_setuptools.patch: Likewise.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/python3.6-compat.patch: New patch, fixes newly introduced
    regression testsuite failures with python3.6 and python3.7.

 -- Michael Banck <mbanck@debian.org>  Fri, 07 Apr 2023 16:01:43 +0200

patroni (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 09:33:48 +0100

patroni (3.0.0-1) unstable; urgency=medium

  * New major upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch:
    Likewise.
  * debian/tests/control: Add procps as dependency and skip DCS failsafe mode
    acceptance tests on zookeeper.
  * debian/patches/regression_tests_skip_citus_test.patch: New patch, skips
    the citus unit test for now as it fails on some configurations.
  * debian/control (Depends): Removed obsolete lsb-base.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 31 Jan 2023 22:27:24 +0100

patroni (2.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_reenable_etcdv2.patch: Removed, no longer
    needed.
  * debian/patches/compatibility_with_old_modules.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 23 Jan 2023 21:24:46 +0100

patroni (2.1.6-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * debian/tests/acceptance: Ensure no etcd server is running before acceptance
    tests. Otherwise, acceptance tests can't spin up a new etcd server which
    uses the same port (Closes: #1027707).

 -- Michael Banck <michael.banck@credativ.de>  Sun, 08 Jan 2023 22:06:02 +0100

patroni (2.1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/acceptance_tests_reenable_etcdv2.patch: New patch,
    re-enables V2 API on etcd-3.4 and later.
  * debian/tests/control: Add etcd3 behave test.
  * debian/patches/compatibility_with_old_modules.patch: New patch, fixes
    unit test failures with older modules, taken from upstream commit 442bd3f.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 04 Jan 2023 10:51:02 +0100

patroni (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark Consul test as skip-not-installable (not in testing, see #1017982).

 -- Christoph Berg <myon@debian.org>  Mon, 28 Nov 2022 13:07:28 +0100

patroni (2.1.4-3) unstable; urgency=medium

  * Enable RAFT support and add python3-pysyncobj to dep alternatives.

 -- Christoph Berg <myon@debian.org>  Thu, 17 Nov 2022 16:14:33 +0100

patroni (2.1.4-2) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/patches/avoid_overwriting_configuration_during_boostrap.patch: New
    patch, avoids streaming a backup of the primary's postgresql.conf file
    during bootstrap, overwriting the standby's postgresql.base.conf and
    possible preventing PostgreSQL to start up.
  * debian/patches/acceptance_tests_speedup.patch: New patch, reduces loop_wait
    to 2 thus speeding up the behave tests, taken from upstream commit ead798.

  [ Christoph Berg ]
  * Add a test using etcd running basic_replication.feature only, and mark the
    full tests as flaky. (Closes: #1017527)

 -- Christoph Berg <myon@debian.org>  Thu, 08 Sep 2022 17:04:35 +0200

patroni (2.1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/pg_rewind_fix_get_guc_value.patch: Removed, no longer
    needed.
  * debian/control, debian/tests/control: Replaced python3-boto with
    python3-boto3.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 02 Jun 2022 16:58:10 +0200

patroni (2.1.3-3) unstable; urgency=medium

  * debian/patches/regression_tests_disable_raft_tests.py: Drop unrelated
    etcd3 validator removal, pointed out by Kirill Petrov.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 29 Apr 2022 19:17:12 +0200

patroni (2.1.3-2) unstable; urgency=medium

  * debian/patches/pg_rewind_fix_get_guc_value.patch: New patch, changes the
    pg_rewind calling behaviour so that it can deal with postgresql.conf not
    being in the data directory; taken from upstream commit 7626b5f by Nick
    Bluth.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 24 Mar 2022 22:22:16 +0100

patroni (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/regression_tests_disable_requirement_download.patch:
    Removed, no longer needed.
  * debian/patches/regression_tests_psutil_compat.patch: Likewise.
  * debian/config.yml.in: Update configuration:
    - Set use_pg_rewind, use_slots and check_timeline to true.
    - Update comments and formatting.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 18 Feb 2022 22:16:13 +0100

patroni (2.1.2-3) unstable; urgency=medium

  * debian/patches/regression_tests_psutil_compat.patch: New patch, add
    compatibility for newer psutil in the regression tests (Closes: #1003562).
  * debian/changelog: Fix whitespace.
  * debian/tests/acceptance: Skip standby_cluster/logical_slots_in_sync
    scenario on v10, as it is not supported there.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 15 Feb 2022 23:06:15 +0100

patroni (2.1.2-2) unstable; urgency=medium

  * Team upload.
  * debian/clean: Remove patroni.egg-info/.
  * debian/py3dist-overrides: Tell dh_python3 to find "ipaddress" in python3
    >= 3.3.
  * debian/tests/control: Mark zookeeper test as skip-not-installable.
  * debian/tests/acceptance: `set -o pipefail` so failures aren't masked by
    `ts`.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 15:22:09 +0100

patroni (2.1.2-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * patroni@.service: Remove redundant (and broken) WorkingDirectory.
    Thanks Ludovic Gasc!
  * debian/tests/control: Give Test-Commands meaningful names.

  [ Michael Banck ]
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 03 Dec 2021 17:13:13 +0100

patroni (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/regression_tests_disable_raft_tests.py: Refreshed.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 20 Aug 2021 10:53:23 +0200

patroni (2.1.0-1) experimental; urgency=medium

  * New upstream major release. New features:
   + Compatibility with PostgreSQL v14
   + Failover logical slots
   + Allowlist for Patroni REST API
   + Support of replication connections via unix socket
   + Health check on user-defined tags
   + Prometheus /metrics endpoint
   + Reduced chattiness of Patroni logs
  * debian/patches/regression_tests_disable_requirement_download.patch:
    Refreshed.
  * debian/patches/requirements_cdiff.patch: Likewise.
  * debian/patches/requirements_setuptools.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 09 Jul 2021 16:58:39 +0200

patroni (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/regression_tests_disable_requirement_download.patch:
    Likewise.
  * debian/patches/regression_tests_disable_raft_tests.py: New patch, reverts
    upstream commit 3a87d0e.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 04 Mar 2021 08:59:40 +0100

patroni (2.0.1-3) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: Supress pg_createcluster output as it can
    be misleading.
  * debian/pg_clonecluster_patroni: Remove postgresql.base.conf before running
    pg_dropcluster.
  * debian/config.yml.in: Make base data directory a template variable
    @DATADIR_BASE@.
  * debian/pg_createconfig_patroni: Use data_directory setting from
    /etc/postgresql-common/createcluster.conf as DATADIR_BASE if set.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 22 Jan 2021 12:45:15 +0100

patroni (2.0.1-2) unstable; urgency=medium

  * debian/tests/control: Added moreutils to acceptance-test Depends.
  * debian/tests/acceptance: Pipe test outputs to ts in oder to
    display timestamps.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 10 Dec 2020 13:33:18 +0100

patroni (2.0.1-1) unstable; urgency=medium

  * New upstream major release.
  * debian/README.Debian: Add note about rewind user.
  * debian/patches/offline_intersphinx.patch: Refreshed.
  * debian/patches/requirements_setuptools.patch: Refreshed.
  * debian/patches/startup_scripts.patch: Refreshed.
  * debian/control (patroni/Depends): Added python3-cdiff.
  * debian/patches/regression_tests_disable_requirement_download.patch: New
    patch, disables downloading python packages during regression tests.
  * debian/tests/test: Remove Raft tests for now (not yet packaged pysyncobj
    module).
  * debian/patches/requirements_cdiff.patch: New patches, changes ydiff (not
    yet packaged python module) back to cdiff in requirements.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 06 Oct 2020 18:10:10 +0200

patroni (1.6.5-5) unstable; urgency=medium

  [ Dominik George ]
  * debian/pg_createconfig_patroni: Correctly determine prefix length
    in $NETWORK.

  [ Michael Banck ]
  * debian/config.yml.in: Listen to all interfaces by default.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 26 Aug 2020 15:33:04 +0200

patroni (1.6.5-4) unstable; urgency=medium

  * debian/config.yml, debian/dcs.yml: Update example consul configuration,
    addresses upstream issue #1574.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 03 Jun 2020 16:10:59 +0200

patroni (1.6.5-3) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: Always use explicit pg_basebackup version,
    in case more than one major version of PostgreSQL is installed.
  * debian/config.yml.in: Add commented out section on a rewind user, that can
    be used on PostgreSQL 11+ to run pg_rewind as a non-superuser.
  * debian/pg_createconfig_patroni: Parse multiple DCS endpoints correctly,
    patch by Tomas Pospisek (Closes: #953197).
  * debian/tests/acceptance: Start zookeeper manually.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 08 May 2020 21:06:58 +0200

patroni (1.6.5-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Allow re-creating configuration file for
    already existing clusters/ports, patch by Tomas Pospisek (Closes: #953162).
  * debian/pg_createcluster_patroni: Pass $DATADIR variable to pg_createcluster
    if specified.
  * debian/patroni@.service: Append scope to syslog identifier.
  * debian/pg_clonecluster_patroni: Pass $DATADIR variable to pg_createcluster.
  * debian/config.yml.in: Add some comments about option passing for
    pg_createcluster_patroni/pg_clonecluster_patroni.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 07 May 2020 13:41:32 +0200

patroni (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix_failing_tests.patch: Removed, no longer needed.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 27 Apr 2020 18:24:43 +0200

patroni (1.6.4-2) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: quote connstr in pg_createcluster
    invocation (Closes: #953623).
  * debian/pg_createconfig_patroni: remove vip-manager file before appending
    to it, patch by Tomas Pospisek (Closes: #953147).
  * debian/pg_createconfig_patroni: Improve parsing of pg_lsclusters output
    when determining port number, patch by Tomas Pospisek (Closes: #953157).
  * debian/tests/acceptance: Set ETCD_UNSUPPORTED_ARCH to arm/arm64 according
    to $DEB_HOST_ARCH (Closes: #952535).
  * debian/config.yml.in: Add commented-out exemplary bootstrap/initdb and
    bootstrap/users sections.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 28 Mar 2020 10:19:53 +0100

patroni (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Removed.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/v12_fix_recovery.conf_parameters.patch: Removed, no longer
    needed.
  * debian/patches/urlparse_compat.patch: Removed, no longer needed.
  * debian/patches/fix_failing_tests.patch: New patch, fixes a failing
    regression test case.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 10 Feb 2020 10:01:27 +0100

patroni (1.6.3-2) unstable; urgency=medium

  * debian/patches/v12_fix_recovery.conf_parameters.patch: New patch, fixes a
    regression in Patroni 1.6.{1-3} where setting restore_command in
    postgresql.conf no longer worked.
  * debian/tests/control: Strip down depends to test-related packages.
  * debian/patches/requirements_setuptools.patch: New patch, add setuptools to
    requirements, so that python3-pkg-resources is picked up as package
    dependency by dh_python3.
  * debian/patches/offline_intersphinx.patch: New patch, force usage of offline
    objects.inv from python-doc package instead of downloading it (Closes:
    #941127).
  * debian/control (Build-Depends): Added python3-doc.
  * debian/patches/urlparse_compat.patch: New patch, fixes a regression test
    suite failure due to a behaviour change in python3's urlparse, taken from
    upstream pull request #1368.
  * debian/pg_createcluster_patroni: Allow clusternames with multiple dashes,
    patch by Chris Hofstaedtler (Closes: #946156).

 -- Michael Banck <michael.banck@credativ.de>  Fri, 24 Jan 2020 10:08:04 +0100

patroni (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/consul_import.patch: Removed, applied upstream.
  * debian/patches/acceptance_tests_timeouts.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 10 Dec 2019 22:35:17 +0100

patroni (1.6.1-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Add --endpoint option for explicit setting
    of VIP_ENDPOINT, make dcs.yml parsing a bit more robust and add sanity
    checking for VIP_ENDPOINT.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 16 Nov 2019 15:44:09 +0100

patroni (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Refreshed.
  * debian/patches/avoid_distutils_spawn.patch: Removed, no longer needed.
  * debian/patches/disable_postgresql.conf_chmod.patch: Likewise.
  * debian/pg_createconfig_patroni: Add --vip option and write out a
    vip-manager configuration if present.
  * debian/config.yml.in: Add @LISTEN_VIP@ tag.
  * debian/control: Add vip-manager to Suggests.
  * debian/README.Debian: Add section on vip-manager integration.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 15 Nov 2019 19:49:30 +0100

patroni (1.6.0-4) unstable; urgency=medium

  * debian/patches/avoid_distutils_spawn.patch: New patch, implements
    find_executable() method and drops import of distutils.spawn.
  * debian/control (patroni/Depends): Removed python3-distutils.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 08 Oct 2019 12:58:22 +0200

patroni (1.6.0-3) unstable; urgency=medium

  * debian/control (patroni/Depends): Added python3-distutils.
  * debian/patches/acceptance_tests_timeouts.patch: New patch, increases a
    timeout of an often failing autopkgtest test.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 07 Oct 2019 20:41:25 +0200

patroni (1.6.0-2) unstable; urgency=medium

  * debian/control: Recommend iproute2.
  * debian/pg_createconfig_patroni: Exit gracefully if iproute2 is not
    installed.
  * debian/patches/disable_postgresql.conf_chmod.patch: New patch, disables
    setting the postgresql.conf permissions to 600, reported by Peter J.
    Holzer.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 20 Sep 2019 20:29:43 +0200

patroni (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Updated.
  * debian/control (Depends): Added python3-psycopg2.
  * debian/tests/control: Added python3-psycopg2.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 21 Aug 2019 13:17:41 +0200

patroni (1.5.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/check_postmaster.patch: Refreshed.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 16 Jun 2019 23:42:07 +0200

patroni (1.5.5-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Filter out comments from
    /etc/patroni/dcs.yml when assembling the Patroni configuration file
    (Closes: #930016).
  * debian/pg_createconfig_patroni: Fix determination of host IP/network if `ip
    route get' reports additional output (Closes: #930015).

 -- Michael Banck <michael.banck@credativ.de>  Fri, 07 Jun 2019 13:11:18 +0200

patroni (1.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/behave_failure_logging.patch: Removed, applied upstream.
  * debian/patches/acceptance_tests_coverage_binary.patch: Likewise.
  * debian/patches/automatic_primary_reinit.patch: Likewise.
  * debian/patches/automatic_primary_reinit.patch: Likewise.
  * debian/patches/patronictl_timeline_info.patch: Likewise.
  * debian/patches/acceptance_tests_postgres_port.patch: Likewise.
  * debian/patches/fix_replication_connection.patch: Likewise.
  * debian/patches/consul_import.patch: Refreshed.
  * debian/patches/reclone-unable-pg_rewind.patch: Removed, no longer needed.
  * debian/config.yml.in: Set use_pg_rewind to false again.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 16 Feb 2019 07:30:02 +0100

patroni (1.5.4-8) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Remove debugging output and fix premature
    exit.
  * debian/patches/acceptance_tests_coverage_binary.patch: Updated according to
    upstream feedback.
  * debian/patches/behave_failure_logging.patch: Likewise.
  * debian/patches/acceptance_tests_postgres_port.patch: Refreshed.
  * debian/patches/acceptance_tests_system_patroni.patch: Likewise.
  * debian/patches/reclone-unable-pg_rewind.patch: New patch, reclones from the
    primary if use_pg_rewind and remove_data_directory_on_rewind_failure are
    set, but the postgres password is empty.
  * debian/config.yml.in: Set remove_data_directory_on_rewind_failure and
    use_pg_rewind to true.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 08 Feb 2019 17:44:53 +0100

patroni (1.5.4-7) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Remove --scope option in favor of
    pg_createcluster's regular "[options] <version> <cluster name>" syntax.
  * debian/README.Debian: Updated accordingly.
  * debian/patches/sphinx_no_mathjax.patch: Removed, no longer needed.
  * debian/patches/coverage_binary.patch: Removed, and replaced with ...
  * debian/patches/acceptance_tests_coverage_binary.patch: ... this patch,
    which is generally applicable.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/acceptance_tests_postgres_port.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 07 Feb 2019 18:13:05 +0100

patroni (1.5.4-6) unstable; urgency=medium

  * debian/tests/acceptance: Fix DCS check for zookeeper in case etcd-server is
    installed as well.
  * debian/pg_createconfig_patroni: Determine Patroni API port dynamically and
    add @API_PORT@ substitution.
  * debian/config.yml.in: Replace API port by @API_PORT@.
  * debian/tests/acceptance: Set shell to bash.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 04 Feb 2019 21:12:00 +0100

patroni (1.5.4-5) unstable; urgency=medium

  * debian/config.yml.in: Set postgresql.pgpass option and add a commented-out
    pg_hba line for md5 connections from the local network.
  * debian/tests/control: Use `Test-Command' directive with relative path
    instead of `Tests' and pass it the DCS as argument.
  * debian/tests/acceptance: Set DCS variable as provided by the command-line
    argument.
  * debian/README.Debian: Add sections on pg_hba.conf and pg_rewind/postgres
    database password.
  * debian/config.yml.in: Create pgpass file under /var/lib/postgresql.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 04 Feb 2019 12:15:11 +0100

patroni (1.5.4-4) unstable; urgency=medium

  * debian/pg_clonecluster_patroni: Create stub instance with start.conf set to
    manual instead of disabled, in lines with pg_creatcluster_patroni.
  * debian/config.yml.in: Make PostgreSQL to also listen to 127.0.0.1 by
    default.
  * debian/patches/fix_replication_connection.patch: New patch, fixes the
    initiation of replication connections for version 10 and up, taken from
    proposed upstream commit e285e159.
  * debian/config.yml.in: Set pg_hba in bootstrap.dcs.postgresql section.  This
    way, it will be picked up by replicas as well.  As the pg_hba.conf file is
    created from scratch in this case, also add the default values.
  * debian/tests/acceptance: Wait 5 seconds after starting zookeeper.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 29 Jan 2019 11:22:26 +0100

patroni (1.5.4-3) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove myself from uploaders.

  [ Michael Banck ]
  * debian/patches/patronictl_timeline_info.patch: New patch, shows timeline
    information in patronictl list, taken from proposed upstream commit
    fcc28c1b.
  * debian/patches/automatic_primary_reinit.patch: New patch, allows to
    automatically reinit a former primary if a rewind is not possible, taken
    from proposed upstream commit 3a509cab.
  * debian/patches/acceptance_tests_postgres_port.patch: New patch, set base
    port for acceptance tests to 5420 in order not to conflict with possible
    system clusters.
  * debian/tests/acceptance: Set JAVA_OPTS to "-Djava.net.preferIPv4Stack=true"
    in /etc/default/zookeepr if DCS is zookeeper.
  * debian/config.yml.in: Set use_pg_rewind to false and add
    remove_data_directory_on_diverged_timelines option.
  * debian/tests/acceptance: Add support for consul as DCS.
  * debian/tests/control: Add additional acceptance tests runs with zookeeper
    and consul as DCS.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 27 Jan 2019 14:21:26 +0100

patroni (1.5.4-2) unstable; urgency=medium

  * debian/config.yml.in: Remove DCS-related commented-out lines and replace
    them with @DCS_CONFIG@ placeholder.
  * debian/pg_createconfig_patroni: Load DCS configuration into $DCS_CONFIG
    variable and replace both @HOSTNAME@ and @DCS_CONFIG@ placeholders in
    config template.
  * debian/config.yml.in: Commented out pgpass directive.
  * debian/pg_createcluster_patroni: Put clusters in manual mode, rather than
    disabled mode during creation.
  * debian/pg_createconfig_patroni: Add support for --network switch and set
    $NETWORK variable to local network if not set.
  * debian/config.yml.in: Allow replication and client connections from
    @NETWORK@ network.
  * debian/README.Debian: Updated.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 21 Jan 2019 17:10:33 +0100

patroni (1.5.4-1) unstable; urgency=medium

  * New upstream point release.
  * debian/patches/acceptance_tests_system_patroni.patch: Refreshed.
  * debian/patches/behave_failure_logging.patch: Likewise.
  * debian/patches/check_postmaster.patch: Likewise.
  * debian/patches/consul_import.patch: Likewise.
  * debian/patches/coverage_binary.patch: Likewise.
  * debian/README.Debian: New file (Closes: #916186).
  * debian/config.yml.in: Add @PORT@ option.
  * debian/pg_createconfig_patroni: Add --port option and automatically assign
    the next free pg-common port if not specified.
  * debian/pg_createconfig_patroni: Make sure $HOSTIP has no spaces.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 15 Jan 2019 19:12:15 +0100

patroni (1.5.3-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Set owner of Patroni configuration file to
    postgres.
  * debian/config.yml.in: Updated with more comments and using the postgres
    user with local sockets as default mode.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 14 Jan 2019 22:28:41 +0100

patroni (1.5.3-1) unstable; urgency=medium

  * New upstream point release.

  [ Michael Banck ]
  * debian/patches/startup_scripts.patch: Split out patroni@.service into ...
  * debian/patroni@.service: ... this.
  * debian/patroni.install: Adjusted.
  * debian/patroni@.service: Set environment file to /etc/patroni/env.conf.

  [ Christoph Berg ]
  * Use shared gitlab-ci.yml file from postgresql-common.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 14 Jan 2019 12:24:42 +0100

patroni (1.5.1-2) unstable; urgency=medium

  * debian/pg_createconfig_patroni: Make variable-substitution globally.
  * debian/pg_createcluster_patroni, debian/pg_clonecluster_patroni: Set
    start mode to disabled.
  * debian/patches/startup_scripts.patch: Add RuntimeDirectory option, set to
    create the instance temporary statistics direcotry %v-%c.pg_stat_tmp.

 -- Michael Banck <michael.banck@credativ.de>  Sat, 10 Nov 2018 18:36:25 +0100

patroni (1.5.1-1) unstable; urgency=medium

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/behave_failure_logging.patch: Refreshed.
  * debian/patches/consul_import.patch: Likewise.
  * debian/patches/coverage_binary.patch: Likewise.
  * debian/patches/startup_scripts.patch: Likewise.
  * debian/pg_createconfig_patroni: New script.
  * debian/dcs.yml, debian/config.yml.in: New configuration templates.
  * debian/patroni.install: Install new script to /usr/bin and configuration
    templates to /etc/patroni.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 05 Nov 2018 08:49:46 +0100

patroni (1.5.0-12) unstable; urgency=medium

  * debian/patroni.install: Install binaries as well.
  * debian/patches/acceptance_tests_system_patroni.patch: New patch, use the
    system installed patroni for acceptance tests.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 02 Nov 2018 19:21:54 +0100

patroni (1.5.0-11) unstable; urgency=medium

  * debian/patroni.install: Install debian/tmp/usr/lib into patroni package.
  * debian/pg_clonecluster_patroni, debian/pg_createcluster_patroni: Support
    both '/' and '-' as version/clustername separator.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 26 Oct 2018 14:47:09 +0100

patroni (1.5.0-10) unstable; urgency=medium

  * debian/control (patroni-doc): New package.
  * debian/patroni.install: Move installation of HTML documentation to ...
  * debian/patroni-doc.install: ... this new file.
  * debian/rules (override_dh_installinit): Install init scripts in
    patroni package only.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 26 Oct 2018 12:43:07 +0100

patroni (1.5.0-9) unstable; urgency=medium

  * debian/patches/startup_scripts.patch: Add patroni service template
    patroni@.service.
  * debian/patroni.install: Install it.
  * debian/pg_createcluster_patroni, debian/pg_clonecluster_patroni: New files,
    wrapper scripts that can be used for Patroni bootstrap or standby setup.
  * debian/patroni.install: Install them in /usr/share/patroni.
  * debian/control (Depends): Replace python3-sphinx-rtd-theme and
    libjs-sphinxdoc with ${sphinxdoc:Depends}.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 22 Oct 2018 18:56:11 +0200

patroni (1.5.0-8) unstable; urgency=medium

  * debian/control (Depends): Added python3-sphinx-rtd-theme and
    libjs-sphinxdoc (Closes: #910427).

 -- Michael Banck <michael.banck@credativ.de>  Sat, 06 Oct 2018 11:57:03 +0200

patroni (1.5.0-7) unstable; urgency=medium

  * debian/control (Depends): Add explicit Depends on one of the DCS client
    modules (python3-etcd, python3-consul, python3-kazoo and
    python3-kubernetes) with python3-etcd as first option.
  * debian/tests/acceptance: Add ETCD_UNSUPPORTED_ARCH=386 to invocation for
    i386.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 05 Oct 2018 12:20:40 +0200

patroni (1.5.0-6) unstable; urgency=medium

  * debian/config.yml: Updated with recent changes from upstream config
    example.
  * debian/patches/patroni_service.patch: Removed, and folded into ...
  * debian/patches/startup_scripts.patch: ... this.
  * debian/patroni.dirs: New file, create /etc/patroni directory.

 -- Michael Banck <michael.banck@credativ.de>  Mon, 01 Oct 2018 15:10:02 +0200

patroni (1.5.0-5) unstable; urgency=medium

  * debian/patches/check_postmaster.patch: Update unit tests as well.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 26 Sep 2018 16:08:50 +0200

patroni (1.5.0-4) unstable; urgency=medium

  * debian/gitlab-ci.yml: Updated.
  * debian/patches/check_postmaster.patch: New patch, replaces the process
    creation time check for postmaster presense with sending signal 0, similar
    to what pg_ctl does.  Closes: #909532.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 26 Sep 2018 14:27:50 +0200

patroni (1.5.0-3) unstable; urgency=medium

  * debian/gitlab-ci.yml: New file.
  * debian/patches/behave_failure_logging.patch: New patch, copy over output
    directory of a failed feature with `_failed' at the end.
  * debian/tests/acceptance: Dump logs for failed features.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 25 Sep 2018 15:45:04 +0200

patroni (1.5.0-2) unstable; urgency=medium

  * debian/tests/acceptance: Run all tests again.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 23 Sep 2018 12:40:53 +0200

patroni (1.5.0-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * Mention Kubernetes in description.

  [ Michael Banck ]
  * debian/patches/relax_requirements.patch: Removed, no longer needed.
  * debian/patches/python3.7: Likewise.
  * debian/patches/coverage_binary.patch: Refreshed.
  * debian/patches/startup_scripts.patch: Likewise.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 21 Sep 2018 11:40:46 +0200

patroni (1.4.4-2) unstable; urgency=medium

  * Move maintainer address to team+postgresql@tracker.debian.org.
  * Avoid using "async" which is a keyword in python3.7. Closes: #904369.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Jul 2018 20:45:19 +0200

patroni (1.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Run first basic replication test only.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Jun 2018 23:16:20 +0200

patroni (1.4.3-1) unstable; urgency=medium

  * New upstream version.
  * Add python3-coverage to acceptance test depends.
    Reported by Matthias Klose, thanks! Closes: #894235.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 06 Apr 2018 12:13:27 +0200

patroni (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * debian/tests: Tidy /tmp/pgpass?.
  * debian/tests: Use zookeeperd when etcd-server is not available.
  * debian/tests: Set TZ=UTC.
  * Remove testsuite clutter on clean.
  * features/environment.py: Make "import consul" optional.
  * Bump DH compat to 10 to get systemd integration; patch patroni.service to
    start only if /etc/patroni/config.yml exists.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Feb 2018 11:21:57 +0100

patroni (1.4.2-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 02 Feb 2018 19:36:12 +0100

patroni (1.4.1-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Michael Banck ]
  * debian/patches/pgpass_in_testsuite.patch: Removed, no longer needed.
  * debian/patches/sphinx_no_mathjax.patch: Refreshed.
  * debian/patches/startup_scripts.patch: Updated.
  * debian/patches/coverage_binary.patch: Likewiese.
  * debian/pathes/relax_kazoo_requirement.patch: Removed, no longer needed.
  * debian/rules (override_dh_auto_install): Remove tr-hack, the example init
    file no longer has DOS line endings.
  * debian/control (Build-Depends): Added python3-kubernetes.
  * debian/patches/relax_requirements.patch: New patch, relaxes the
    python3-kubernetes requirements.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 24 Jan 2018 13:52:16 +0100

patroni (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #875493)

 -- Michael Banck <michael.banck@credativ.de>  Sat, 21 Oct 2017 10:58:35 +0200
